Subject: Re: git shared repository & permission problems

From: "Kārlis Repsons" <[email-masked]>
Date: Fri, 12 Jun 2009 14:24:24 +0000

On Friday 12 June 2009 13:54:08 you wrote:
> Am 12.06.2009 14:13 schrieb Ka-rlis Repsons:
> > Things would be fine, but I am having really bad ssh permission problems
> > in here: for example, if there is an empty, initialised git archive and
> > it is pulled to over ssh, the created files have permissions only u=rwX,
> > no more. Then subsequently git pulling doesn't work. Maybe you know how
> > to solve it?
>
> Probably your umask is doing this? When you locally create a file (e.g.
> "touch foo"), does it then only have "-rwx------" as well?
No, at client its allright with umask (well, in bash, not konqueror).
Where from is sftp-server receiving its file permission bits for the new 
files? Maybe some way to change it?

> > Also, in general, how can it be set up, that >1 people have a write
> > access to the same repository? Only by using the same login?
>
> Have a look at the "--shared" option of "git init". That's supposed to
> create shared repositories, i.e. all users of the same group have write
> access. 

> I'm not exactly sure how to make an existing repo "shared" after 
> it's been created,
Someone else knows? That would be useful...

> Hope this helps,
>      Dirk
Thanks!

k.